<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [upgradeOfficeSize](./bitburner.officeapi.upgradeofficesize.md)

## OfficeAPI.upgradeOfficeSize() method

Upgrade office size.

**Signature:**

```typescript
upgradeOfficeSize(divisionName: string, city: CityName | `${CityName}`, size: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of the city |
|  size | number | Amount of positions to open |

**Returns:**

void

